import React from "react";
import ReactCSSTransitionGroup from "react-addons-css-transition-group";

// Hello style-loader!css-loader.
require("../main.css");

class Main extends React.Component {
  render() {
    console.log(this.props.location.pathname);
    return (
      <div className="name-container">
        <ReactCSSTransitionGroup
          transitionName="appear"
          transitionEnterTimeout={500}
          transitionLeaveTimeout={500}>
          {React.cloneElement(this.props.children, { key: this.props.location.pathname })}
        </ReactCSSTransitionGroup>
      </div>
    );
  }
}

export default Main;
